<?php
/**
 * Define Theme Version
 */
define( 'FLOW_STORE_THEME_VERSION', '5.5' );

function flow_store_css() {
	$parent_style = 'flossy-parent-style';
	wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'flow-store-style', get_stylesheet_uri(), array( $parent_style ));
	
	wp_enqueue_style('flow-store-default',get_stylesheet_directory_uri() .'/assets/css/default.css');
	wp_dequeue_style('flossy-default');
	
	wp_enqueue_script('flow-store-custom', get_stylesheet_directory_uri() . '/assets/js/custom.js', array('jquery'), false, true);
	wp_dequeue_script('flossy-custom-js');
}
add_action( 'wp_enqueue_scripts', 'flow_store_css',999);

function flow_store_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'flow_store_custom_header_args', array(
		'default-image'          => '',
		'default-text-color'     => 'ffffff',
		'width'                  => 2000,
		'height'                 => 200,
		'flex-height'            => true,
		'wp-head-callback'       => 'flossy_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'flow_store_custom_header_setup' );


require get_stylesheet_directory() . '/inc/customizer/customizer-options/flow-store-pro.php';

/**
 * Import Settings From Parent Theme
 *
 */
function flow_store_parent_theme_options() {
	$flossy_mods = get_option( 'theme_mods_flossy' );
	if ( ! empty( $flossy_mods ) ) {
		foreach ( $flossy_mods as $flossy_mod_k => $flossy_mod_v ) {
			set_theme_mod( $flossy_mod_k, $flossy_mod_v );
		}
		}
}
add_action( 'after_switch_theme', 'flow_store_parent_theme_options' );

/****
* This Theme supports
*/
add_theme_support( 'post-thumbnails' );
add_theme_support( 'title-tag' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'custom-background' );
add_theme_support( 'custom-logo' );
add_theme_support( 'wp-block-styles' );
add_theme_support( 'responsive-embeds' );
add_theme_support( 'align-wide' );
add_theme_support( 'register_block_style' );
add_theme_support( 'register_block_pattern' );
add_theme_support( 'add_editor_style()' );
add_theme_support( 'html5', array('search-form','comment-form','comment-list','gallery','caption'));